## crypto crypto — Crypto transforms implementation for NSS. |

## Stability Level

Stable, unless otherwise indicated

## Functions

xmlSecCryptoDLFunctionsPtr | xmlSecCryptoGetFunctions_nss ()
int | xmlSecNssInit ()
int | xmlSecNssShutdown ()
int | xmlSecNssKeysMngrInit ()
int | xmlSecNssGenerateRandom ()
void | xmlSecNssErrorsDefaultCallback ()
PK11SlotInfo * | xmlSecNssGetInternalKeySlot ()
xmlSecKeyDataId | xmlSecNssKeyDataAesGetKlass ()
int | xmlSecNssKeyDataAesSet ()
xmlSecTransformId | xmlSecNssTransformAes128CbcGetKlass ()
xmlSecTransformId | xmlSecNssTransformAes192CbcGetKlass ()
xmlSecTransformId | xmlSecNssTransformAes256CbcGetKlass ()
xmlSecTransformId | xmlSecNssTransformKWAes128GetKlass ()
xmlSecTransformId | xmlSecNssTransformKWAes192GetKlass ()
xmlSecTransformId | xmlSecNssTransformKWAes256GetKlass ()
xmlSecKeyDataId | xmlSecNssKeyDataDesGetKlass ()
int | xmlSecNssKeyDataDesSet ()
xmlSecTransformId | xmlSecNssTransformDes3CbcGetKlass ()
xmlSecTransformId | xmlSecNssTransformKWDes3GetKlass ()
xmlSecKeyDataId | xmlSecNssKeyDataDsaGetKlass ()
xmlSecTransformId | xmlSecNssTransformDsaSha1GetKlass ()
xmlSecTransformId | xmlSecNssTransformDsaSha256GetKlass ()
xmlSecKeyDataId | xmlSecNssKeyDataEcdsaGetKlass ()
xmlSecTransformId | xmlSecNssTransformEcdsaSha1GetKlass ()
xmlSecTransformId | xmlSecNssTransformEcdsaSha224GetKlass ()
xmlSecTransformId | xmlSecNssTransformEcdsaSha256GetKlass ()
xmlSecTransformId | xmlSecNssTransformEcdsaSha384GetKlass ()
xmlSecTransformId | xmlSecNssTransformEcdsaSha512GetKlass ()
int | xmlSecNssHmacGetMinOutputLength ()
void | xmlSecNssHmacSetMinOutputLength ()
xmlSecKeyDataId | xmlSecNssKeyDataHmacGetKlass ()
int | xmlSecNssKeyDataHmacSet ()
xmlSecTransformId | xmlSecNssTransformHmacMd5GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacRipemd160GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacSha1GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacSha224GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacSha256GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacSha384GetKlass ()
xmlSecTransformId | xmlSecNssTransformHmacSha512GetKlass ()
xmlSecKeyDataId | xmlSecNssKeyDataRsaGetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaMd5GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaSha1GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaSha224GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaSha256GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaSha384GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaSha512GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaPkcs1GetKlass ()
xmlSecTransformId | xmlSecNssTransformRsaOaepGetKlass ()
xmlSecTransformId | xmlSecNssTransformSha1GetKlass ()
xmlSecTransformId | xmlSecNssTransformSha224GetKlass ()
xmlSecTransformId | xmlSecNssTransformSha256GetKlass ()
xmlSecTransformId | xmlSecNssTransformSha384GetKlass ()
xmlSecTransformId | xmlSecNssTransformSha512GetKlass ()
xmlSecTransformId | xmlSecNssTransformMd5GetKlass ()

## Types and Values

#define | XMLSEC_NO_MD5
#define | xmlSecNssKeyDataAesId
#define | xmlSecNssTransformAes128CbcId
#define | xmlSecNssTransformAes192CbcId
#define | xmlSecNssTransformAes256CbcId
#define | xmlSecNssTransformKWAes128Id
#define | xmlSecNssTransformKWAes192Id
#define | xmlSecNssTransformKWAes256Id
#define | xmlSecNssKeyDataDesId
#define | xmlSecNssTransformDes3CbcId
#define | xmlSecNssTransformKWDes3Id
#define | xmlSecNssKeyDataDsaId
#define | xmlSecNssTransformDsaSha1Id
#define | xmlSecNssTransformDsaSha256Id
#define | xmlSecNssKeyDataEcdsaId
#define | xmlSecNssTransformEcdsaSha1Id
#define | xmlSecNssTransformEcdsaSha224Id
#define | xmlSecNssTransformEcdsaSha256Id
#define | xmlSecNssTransformEcdsaSha384Id
#define | xmlSecNssTransformEcdsaSha512Id
#define | xmlSecNssKeyDataHmacId
#define | xmlSecNssTransformHmacMd5Id
#define | xmlSecNssTransformHmacRipemd160Id
#define | xmlSecNssTransformHmacSha1Id
#define | xmlSecNssTransformHmacSha224Id
#define | xmlSecNssTransformHmacSha256Id
#define | xmlSecNssTransformHmacSha384Id
#define | xmlSecNssTransformHmacSha512Id
#define | xmlSecNssKeyDataRsaId
#define | xmlSecNssTransformRsaMd5Id
#define | xmlSecNssTransformRsaSha1Id
#define | xmlSecNssTransformRsaSha224Id
#define | xmlSecNssTransformRsaSha256Id
#define | xmlSecNssTransformRsaSha384Id
#define | xmlSecNssTransformRsaSha512Id
#define | xmlSecNssTransformRsaPkcs1Id
#define | xmlSecNssTransformRsaOaepId
#define | xmlSecNssTransformSha1Id
#define | xmlSecNssTransformSha224Id
#define | xmlSecNssTransformSha256Id
#define | xmlSecNssTransformSha384Id
#define | xmlSecNssTransformSha512Id
#define | xmlSecNssTransformMd5Id

## Description

## Functions

### xmlSecCryptoGetFunctions_nss ()

    xmlSecCryptoDLFunctionsPtr
    xmlSecCryptoGetFunctions_nss (void);

Gets the pointer to xmlsec-nss functions table.

#### Returns

the xmlsec-nss functions table or NULL if an error occurs.

### xmlSecNssInit ()

    int
    xmlSecNssInit (void);

XMLSec library specific crypto engine initialization.

#### Returns

0 on success or a negative value otherwise.

### xmlSecNssShutdown ()

    int
    xmlSecNssShutdown (void);

XMLSec library specific crypto engine shutdown.

#### Returns

0 on success or a negative value otherwise.

### xmlSecNssKeysMngrInit ()

    int
    xmlSecNssKeysMngrInit (xmlSecKeysMngrPtr mngr);

Adds NSS specific key data stores in keys manager.

#### Parameters

mngr | the pointer to keys manager. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecNssGenerateRandom ()

    int
    xmlSecNssGenerateRandom (xmlSecBufferPtr buffer,
                             xmlSecSize size);

Generates `size` random bytes and puts result in `buffer` .

#### Parameters

buffer | the destination buffer. |
size | the numer of bytes to generate. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecNssErrorsDefaultCallback ()

    void
    xmlSecNssErrorsDefaultCallback (const char *file,
                                    int line,
                                    const char *func,
                                    const char *errorObject,
                                    const char *errorSubject,
                                    int reason,
                                    const char *msg);

The errors reporting callback function. Just a pass through to the default callback.

#### Parameters

file | the error location file name (__FILE__ macro). |
line | the error location line number (__LINE__ macro). |
func | the error location function name (__FUNCTION__ macro). |
errorObject | the error specific error object |
errorSubject | the error specific error subject. |
reason | the error code. |
msg | the additional error message. |

### xmlSecNssGetInternalKeySlot ()

    PK11SlotInfo *
    xmlSecNssGetInternalKeySlot (void);

Gets internal NSS key slot.

#### Returns

internal key slot and initializes it if needed.

### xmlSecNssKeyDataAesGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataAesGetKlass (void);

The AES key data klass.

#### Returns

AES key data klass.

### xmlSecNssKeyDataAesSet ()

    int
    xmlSecNssKeyDataAesSet (xmlSecKeyDataPtr data,
                            const xmlSecByte *buf,
                            xmlSecSize bufSize);

Sets the value of AES key data.

#### Parameters

data | the pointer to AES key data. |
buf | the pointer to key value. |
bufSize | the key value size (in bytes). |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecNssTransformAes128CbcGetKlass ()

    xmlSecTransformId
    xmlSecNssTransformAes128CbcGetKlass (void);

AES 128 CBC encryption transform klass.

#### Returns

pointer to AES 128 CBC encryption transform.

### xmlSecNssTransformAes192CbcGetKlass ()

    xmlSecTransformId
    xmlSecNssTransformAes192CbcGetKlass (void);

AES 192 CBC encryption transform klass.

#### Returns

pointer to AES 192 CBC encryption transform.

### xmlSecNssTransformAes256CbcGetKlass ()

    xmlSecTransformId
    xmlSecNssTransformAes256CbcGetKlass (void);

AES 256 CBC encryption transform klass.

#### Returns

pointer to AES 256 CBC encryption transform.

### xmlSecNssTransformKWAes128GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformKWAes128GetKlass (void);

The AES-128 key wrapper transform klass.

#### Returns

AES-128 key wrapper transform klass.

### xmlSecNssTransformKWAes192GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformKWAes192GetKlass (void);

The AES-192 key wrapper transform klass.

#### Returns

AES-192 key wrapper transform klass.

### xmlSecNssTransformKWAes256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformKWAes256GetKlass (void);

The AES-256 key wrapper transform klass.

#### Returns

AES-256 key wrapper transform klass.

### xmlSecNssKeyDataDesGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataDesGetKlass (void);

The DES key data klass.

#### Returns

DES key data klass.

### xmlSecNssKeyDataDesSet ()

    int
    xmlSecNssKeyDataDesSet (xmlSecKeyDataPtr data,
                            const xmlSecByte *buf,
                            xmlSecSize bufSize);

Sets the value of DES key data.

#### Parameters

data | the pointer to DES key data. |
buf | the pointer to key value. |
bufSize | the key value size (in bytes). |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecNssTransformDes3CbcGetKlass ()

    xmlSecTransformId
    xmlSecNssTransformDes3CbcGetKlass (void);

Triple DES CBC encryption transform klass.

#### Returns

pointer to Triple DES encryption transform.

### xmlSecNssTransformKWDes3GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformKWDes3GetKlass (void);

The Triple DES key wrapper transform klass.

#### Returns

Triple DES key wrapper transform klass.

### xmlSecNssKeyDataDsaGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataDsaGetKlass (void);

The DSA key data klass.

#### Returns

pointer to DSA key data klass.

### xmlSecNssTransformDsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformDsaSha1GetKlass (void);

The DSA-SHA1 signature transform klass.

#### Returns

DSA-SHA1 signature transform klass.

### xmlSecNssTransformDsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformDsaSha256GetKlass (void);

The DSA-SHA256 signature transform klass.

#### Returns

DSA-SHA256 signature transform klass.

### xmlSecNssKeyDataEcdsaGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataEcdsaGetKlass (void);

The ECDSA key data klass.

#### Returns

pointer to ECDSA key data klass.

### xmlSecNssTransformEcdsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformEcdsaSha1GetKlass (void);

The ECDSA-SHA1 signature transform klass.

#### Returns

ECDSA-SHA1 signature transform klass.

### xmlSecNssTransformEcdsaSha224GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformEcdsaSha224GetKlass (void);

The ECDSA-SHA224 signature transform klass.

#### Returns

ECDSA-SHA224 signature transform klass.

### xmlSecNssTransformEcdsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformEcdsaSha256GetKlass (void);

The ECDSA-SHA256 signature transform klass.

#### Returns

ECDSA-SHA256 signature transform klass.

### xmlSecNssTransformEcdsaSha384GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformEcdsaSha384GetKlass (void);

The ECDSA-SHA384 signature transform klass.

#### Returns

ECDSA-SHA384 signature transform klass.

### xmlSecNssTransformEcdsaSha512GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformEcdsaSha512GetKlass (void);

The ECDSA-SHA512 signature transform klass.

#### Returns

ECDSA-SHA512 signature transform klass.

### xmlSecNssHmacGetMinOutputLength ()

    int
    xmlSecNssHmacGetMinOutputLength (void);

Gets the value of min HMAC length.

#### Returns

the min HMAC output length

### xmlSecNssHmacSetMinOutputLength ()

    void
    xmlSecNssHmacSetMinOutputLength (int min_length);

Sets the min HMAC output length

#### Parameters

min_length | the new min length |

### xmlSecNssKeyDataHmacGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataHmacGetKlass (void);

The HMAC key data klass.

#### Returns

HMAC key data klass.

### xmlSecNssKeyDataHmacSet ()

    int
    xmlSecNssKeyDataHmacSet (xmlSecKeyDataPtr data,
                             const xmlSecByte *buf,
                             xmlSecSize bufSize);

Sets the value of HMAC key data.

#### Parameters

data | the pointer to HMAC key data. |
buf | the pointer to key value. |
bufSize | the key value size (in bytes). |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecNssTransformHmacMd5GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacMd5GetKlass (void);

The HMAC-MD5 transform klass.

#### Returns

the HMAC-MD5 transform klass.

### xmlSecNssTransformHmacRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacRipemd160GetKlass
                                   (void);

The HMAC-RIPEMD160 transform klass.

#### Returns

the HMAC-RIPEMD160 transform klass.

### xmlSecNssTransformHmacSha1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacSha1GetKlass (void);

The HMAC-SHA1 transform klass.

#### Returns

the HMAC-SHA1 transform klass.

### xmlSecNssTransformHmacSha224GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacSha224GetKlass (void);

The HMAC-SHA224 transform klass.

#### Returns

the HMAC-SHA224 transform klass.

### xmlSecNssTransformHmacSha256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacSha256GetKlass (void);

The HMAC-SHA256 transform klass.

#### Returns

the HMAC-SHA256 transform klass.

### xmlSecNssTransformHmacSha384GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacSha384GetKlass (void);

The HMAC-SHA384 transform klass.

#### Returns

the HMAC-SHA384 transform klass.

### xmlSecNssTransformHmacSha512GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformHmacSha512GetKlass (void);

The HMAC-SHA512 transform klass.

#### Returns

the HMAC-SHA512 transform klass.

### xmlSecNssKeyDataRsaGetKlass ()

    xmlSecKeyDataId
    xmlSecNssKeyDataRsaGetKlass (void);

The RSA key data klass.

#### Returns

pointer to RSA key data klass.

### xmlSecNssTransformRsaMd5GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaMd5GetKlass (void);

The RSA-MD5 signature transform klass.

#### Returns

RSA-MD5 signature transform klass.

### xmlSecNssTransformRsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaSha1GetKlass (void);

The RSA-SHA1 signature transform klass.

#### Returns

RSA-SHA1 signature transform klass.

### xmlSecNssTransformRsaSha224GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaSha224GetKlass (void);

The RSA-SHA224 signature transform klass.

#### Returns

RSA-SHA224 signature transform klass.

### xmlSecNssTransformRsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaSha256GetKlass (void);

The RSA-SHA256 signature transform klass.

#### Returns

RSA-SHA256 signature transform klass.

### xmlSecNssTransformRsaSha384GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaSha384GetKlass (void);

The RSA-SHA384 signature transform klass.

#### Returns

RSA-SHA384 signature transform klass.

### xmlSecNssTransformRsaSha512GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaSha512GetKlass (void);

The RSA-SHA512 signature transform klass.

#### Returns

RSA-SHA512 signature transform klass.

### xmlSecNssTransformRsaPkcs1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaPkcs1GetKlass (void);

The RSA-PKCS1 key transport transform klass.

#### Returns

RSA-PKCS1 key transport transform klass.

### xmlSecNssTransformRsaOaepGetKlass ()

    xmlSecTransformId
    xmlSecNssTransformRsaOaepGetKlass (void);

The RSA-PKCS1 key transport transform klass.

#### Returns

RSA-PKCS1 key transport transform klass.

### xmlSecNssTransformSha1GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformSha1GetKlass (void);

SHA-1 digest transform klass.

#### Returns

pointer to SHA-1 digest transform klass.

### xmlSecNssTransformSha224GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformSha224GetKlass (void);

SHA224 digest transform klass.

#### Returns

pointer to SHA224 digest transform klass.

### xmlSecNssTransformSha256GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformSha256GetKlass (void);

SHA256 digest transform klass.

#### Returns

pointer to SHA256 digest transform klass.

### xmlSecNssTransformSha384GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformSha384GetKlass (void);

SHA384 digest transform klass.

#### Returns

pointer to SHA384 digest transform klass.

### xmlSecNssTransformSha512GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformSha512GetKlass (void);

SHA512 digest transform klass.

#### Returns

pointer to SHA512 digest transform klass.

### xmlSecNssTransformMd5GetKlass ()

    xmlSecTransformId
    xmlSecNssTransformMd5GetKlass (void);

MD5 digest transform klass.

#### Returns

pointer to MD5 digest transform klass.

## Types and Values

### XMLSEC_NO_MD5

    #define XMLSEC_NO_MD5 1

### xmlSecNssKeyDataAesId

    #define             xmlSecNssKeyDataAesId

The AES key data klass.

### xmlSecNssTransformAes128CbcId

    #define             xmlSecNssTransformAes128CbcId

The AES128 CBC cipher transform klass.

### xmlSecNssTransformAes192CbcId

    #define             xmlSecNssTransformAes192CbcId

The AES192 CBC cipher transform klass.

### xmlSecNssTransformAes256CbcId

    #define             xmlSecNssTransformAes256CbcId

The AES256 CBC cipher transform klass.

### xmlSecNssTransformKWAes128Id

    #define             xmlSecNssTransformKWAes128Id

The AES 128 key wrap transform klass.

### xmlSecNssTransformKWAes192Id

    #define             xmlSecNssTransformKWAes192Id

The AES 192 key wrap transform klass.

### xmlSecNssTransformKWAes256Id

    #define             xmlSecNssTransformKWAes256Id

The AES 256 key wrap transform klass.

### xmlSecNssKeyDataDesId

    #define             xmlSecNssKeyDataDesId

The DES key data klass.

### xmlSecNssTransformDes3CbcId

    #define             xmlSecNssTransformDes3CbcId

The Triple DES CBC cipher transform klass.

### xmlSecNssTransformKWDes3Id

    #define             xmlSecNssTransformKWDes3Id

The DES3 KW transform klass.

### xmlSecNssKeyDataDsaId

    #define             xmlSecNssKeyDataDsaId

The DSA key klass.

### xmlSecNssTransformDsaSha1Id

    #define             xmlSecNssTransformDsaSha1Id

The DSA SHA1 signature transform klass.

### xmlSecNssTransformDsaSha256Id

    #define             xmlSecNssTransformDsaSha256Id

The DSA SHA256 signature transform klass.

### xmlSecNssKeyDataEcdsaId

    #define xmlSecNssKeyDataEcdsaId xmlSecNssKeyDataEcdsaGetKlass()

The ECDSA key klass.

### xmlSecNssTransformEcdsaSha1Id

    #define xmlSecNssTransformEcdsaSha1Id xmlSecNssTransformEcdsaSha1GetKlass()

The ECDSA SHA1 signature transform klass.

### xmlSecNssTransformEcdsaSha224Id

    #define xmlSecNssTransformEcdsaSha224Id xmlSecNssTransformEcdsaSha224GetKlass()

The ECDSA SHA224 signature transform klass.

### xmlSecNssTransformEcdsaSha256Id

    #define xmlSecNssTransformEcdsaSha256Id xmlSecNssTransformEcdsaSha256GetKlass()

The ECDSA SHA256 signature transform klass.

### xmlSecNssTransformEcdsaSha384Id

    #define xmlSecNssTransformEcdsaSha384Id xmlSecNssTransformEcdsaSha384GetKlass()

The ECDSA SHA384 signature transform klass.

### xmlSecNssTransformEcdsaSha512Id

    #define xmlSecNssTransformEcdsaSha512Id xmlSecNssTransformEcdsaSha512GetKlass()

The ECDSA SHA512 signature transform klass.

### xmlSecNssKeyDataHmacId

    #define             xmlSecNssKeyDataHmacId

The DHMAC key data klass.

### xmlSecNssTransformHmacMd5Id

    #define             xmlSecNssTransformHmacMd5Id

The HMAC with MD5 signature transform klass.

### xmlSecNssTransformHmacRipemd160Id

    #define             xmlSecNssTransformHmacRipemd160Id

The HMAC with RipeMD160 signature transform klass.

### xmlSecNssTransformHmacSha1Id

    #define             xmlSecNssTransformHmacSha1Id

The HMAC with SHA1 signature transform klass.

### xmlSecNssTransformHmacSha224Id

    #define             xmlSecNssTransformHmacSha224Id

The HMAC with SHA224 signature transform klass.

### xmlSecNssTransformHmacSha256Id

    #define             xmlSecNssTransformHmacSha256Id

The HMAC with SHA256 signature transform klass.

### xmlSecNssTransformHmacSha384Id

    #define             xmlSecNssTransformHmacSha384Id

The HMAC with SHA384 signature transform klass.

### xmlSecNssTransformHmacSha512Id

    #define             xmlSecNssTransformHmacSha512Id

The HMAC with SHA512 signature transform klass.

### xmlSecNssKeyDataRsaId

    #define             xmlSecNssKeyDataRsaId

The RSA key klass.

### xmlSecNssTransformRsaMd5Id

    #define             xmlSecNssTransformRsaMd5Id

The RSA-MD5 signature transform klass.

### xmlSecNssTransformRsaSha1Id

    #define             xmlSecNssTransformRsaSha1Id

The RSA-SHA1 signature transform klass.

### xmlSecNssTransformRsaSha224Id

    #define             xmlSecNssTransformRsaSha224Id

The RSA-SHA224 signature transform klass.

### xmlSecNssTransformRsaSha256Id

    #define             xmlSecNssTransformRsaSha256Id

The RSA-SHA256 signature transform klass.

### xmlSecNssTransformRsaSha384Id

    #define             xmlSecNssTransformRsaSha384Id

The RSA-SHA384 signature transform klass.

### xmlSecNssTransformRsaSha512Id

    #define             xmlSecNssTransformRsaSha512Id

The RSA-SHA512 signature transform klass.

### xmlSecNssTransformRsaPkcs1Id

    #define             xmlSecNssTransformRsaPkcs1Id

The RSA PKCS1 key transport transform klass.

### xmlSecNssTransformRsaOaepId

    #define             xmlSecNssTransformRsaOaepId

The RSA OAEP key transport transform klass.

### xmlSecNssTransformSha1Id

    #define             xmlSecNssTransformSha1Id

The SHA1 digest transform klass.

### xmlSecNssTransformSha224Id

    #define             xmlSecNssTransformSha224Id

The SHA224 digest transform klass.

### xmlSecNssTransformSha256Id

    #define             xmlSecNssTransformSha256Id

The SHA256 digest transform klass.

### xmlSecNssTransformSha384Id

    #define             xmlSecNssTransformSha384Id

The SHA384 digest transform klass.

### xmlSecNssTransformSha512Id

    #define             xmlSecNssTransformSha512Id

The SHA512 digest transform klass.

### xmlSecNssTransformMd5Id

    #define             xmlSecNssTransformMd5Id

The MD5 digest transform klass.